package com.ym.game.contract

import com.ym.library.module.PuzzleEntity


class PuzzleContract {
    interface View {
        //fun PuzzDataResult(mdata: PuzzleEntity)
        fun PutPuzzDataResult(mdata: PuzzleEntity)
        fun cardsFlyUp(result: PuzzleEntity,index: Int)
        fun getPuzzlelookAd(diffCardsNum:Int)
    }

    interface Presenter {
        fun getPuzzleData()
        fun putPuzzleData(index: Int)//下面列表有的话调这个
        fun noputPuzzleData(index: Int)//下面列表没有的话调这个
        fun onecleanPuzzle()
        fun automatic()//一键拼图
        fun openBox()
    }
}